package mhp.oee.po.gen;

import java.util.Date;

public class HeartBeatPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column heart_beat.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column heart_beat.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column heart_beat.RESOURCE
     *
     * @mbggenerated
     */
    private String resource;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column heart_beat.HEART_TIME
     *
     * @mbggenerated
     */
    private Date heartTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column heart_beat.VERSION
     *
     * @mbggenerated
     */
    private String version;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column heart_beat.REMARK
     *
     * @mbggenerated
     */
    private String remark;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column heart_beat.RESOURCE_BO
     *
     * @return the value of heart_beat.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column heart_beat.RESOURCE_BO
     *
     * @param resourceBo the value for heart_beat.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column heart_beat.SITE
     *
     * @return the value of heart_beat.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column heart_beat.SITE
     *
     * @param site the value for heart_beat.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column heart_beat.RESOURCE
     *
     * @return the value of heart_beat.RESOURCE
     *
     * @mbggenerated
     */
    public String getResource() {
        return resource;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column heart_beat.RESOURCE
     *
     * @param resource the value for heart_beat.RESOURCE
     *
     * @mbggenerated
     */
    public void setResource(String resource) {
        this.resource = resource == null ? null : resource.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column heart_beat.HEART_TIME
     *
     * @return the value of heart_beat.HEART_TIME
     *
     * @mbggenerated
     */
    public Date getHeartTime() {
        return heartTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column heart_beat.HEART_TIME
     *
     * @param heartTime the value for heart_beat.HEART_TIME
     *
     * @mbggenerated
     */
    public void setHeartTime(Date heartTime) {
        this.heartTime = heartTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column heart_beat.VERSION
     *
     * @return the value of heart_beat.VERSION
     *
     * @mbggenerated
     */
    public String getVersion() {
        return version;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column heart_beat.VERSION
     *
     * @param version the value for heart_beat.VERSION
     *
     * @mbggenerated
     */
    public void setVersion(String version) {
        this.version = version == null ? null : version.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column heart_beat.REMARK
     *
     * @return the value of heart_beat.REMARK
     *
     * @mbggenerated
     */
    public String getRemark() {
        return remark;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column heart_beat.REMARK
     *
     * @param remark the value for heart_beat.REMARK
     *
     * @mbggenerated
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}